var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Image, Navigator, View } from '@tarojs/components';
const HuiGridItem = props => {
    const { image, text, style, className = '' } = props, rest = __rest(props, ["image", "text", "style", "className"]);
    return (React.createElement(Navigator, Object.assign({ className: `hui-grid-item ${className}`, hoverClass: 'none', style: style }, rest),
        React.createElement(Image, { src: image, mode: 'aspectFit', className: 'grid-image' }),
        React.createElement(View, { className: 'grid-text' }, text)));
};
export default HuiGridItem;
//# sourceMappingURL=Item.js.map