/**
 * 图片状态
 */
export var ImageStatus;
(function (ImageStatus) {
    /** 暂无图片 */
    ImageStatus[ImageStatus["Empty"] = 0] = "Empty";
    /** 加载中 */
    ImageStatus[ImageStatus["Loading"] = 1] = "Loading";
    /** 加载失败 */
    ImageStatus[ImageStatus["Fail"] = 2] = "Fail";
    /** 加载成功 */
    ImageStatus[ImageStatus["Success"] = 3] = "Success";
})(ImageStatus || (ImageStatus = {}));
/**
 * 图片规格
 */
export var ImageSize;
(function (ImageSize) {
    /** 加载状态仅展示色块 */
    ImageSize["SMALL"] = "small";
    /** 加载状态仅展示文字 */
    ImageSize["MEDIUM"] = "medium";
    /** 加载状态展示图文 */
    ImageSize["LARGE"] = "large";
})(ImageSize || (ImageSize = {}));
//# sourceMappingURL=constants.js.map