import { View } from '@tarojs/components';
import cx from 'classnames';
import React from 'react';
const Item = props => {
    const { label, value, children, active, indicatorColor, onChange } = props;
    return (React.createElement(View, { className: cx('hui-select-side-menu-item', { active: active === value }), style: { color: indicatorColor }, onClick: () => onChange && onChange(value) }, label || children));
};
export default Item;
//# sourceMappingURL=Item.js.map