import React, { useEffect } from 'react';
import { View } from '@tarojs/components';
const defaultProps = {
    updateParent: () => undefined,
};
const HuiTab = props => {
    const { title, subTitle, animated, active, updateParent = defaultProps.updateParent, name, style, className = '', children, } = props;
    useEffect(() => {
        updateParent({ title, subTitle, name });
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [title, subTitle]);
    return (React.createElement(View, { className: `hui-tab ${className}`, style: Object.assign({ display: (!animated && active !== name) ? 'none' : 'block' }, style) }, children));
};
export default HuiTab;
//# sourceMappingURL=Tab.js.map