import React from 'react';
import { CommonEvent } from '@tarojs/components/types/common';
export interface HuiActionSheetItemProps {
    onClick?: (event?: CommonEvent) => void;
    className?: string;
    style?: React.CSSProperties;
    /** 是否有点击效果（点击后背景会变灰） */
    hasActive?: boolean;
    /** 禁用状态 */
    disabled?: boolean;
    children?: React.ReactNode;
}
declare const Item: React.FC<HuiActionSheetItemProps>;
export default Item;
