import React from 'react';
import { AvatarType, AvatarSize } from './constants';
export interface HuiAvatarProps {
    /** 头像类型 */
    type?: AvatarType;
    /** 头像大小 */
    size?: AvatarSize | number;
    /** 边框颜色 */
    borderColor?: string;
    /** 头像地址 */
    src: string;
    className?: string;
    style?: React.CSSProperties;
}
declare const HuiAvatar: React.FC<HuiAvatarProps>;
export default HuiAvatar;
