import React from 'react';
export interface HuiBadgeProps {
    /** 当数值为0时，是否展示Badge, 默认不展示 */
    showZero?: boolean;
    /** 是否有红点, 默认无 */
    dot?: boolean;
    /** 徽标类型: 实心(默认)、空心 */
    type?: 'default' | 'hollow';
    /** 徽标的值, 对应数字、文字类型 */
    value?: number | string;
    /** 徽标为数字时的最大值, 默认999 */
    maxValue?: number;
    style?: React.CSSProperties;
    className?: string;
    children?: React.ReactNode;
}
declare const HuiBadge: React.FC<HuiBadgeProps>;
export default HuiBadge;
