import React from 'react';
import { DividerTypeProp } from './constants';
export interface HuiDividerProps {
    style?: React.CSSProperties;
    /** 分割线类型: 水平、垂直；默认'horizontal' */
    type?: DividerTypeProp;
    /** 分割线的左右margin */
    margin?: number;
    /** 高度 */
    height?: number;
    /** 使用0.5px分割线 */
    hairline?: boolean;
    className?: string;
}
declare const HuiDivider: React.FC<HuiDividerProps>;
export default HuiDivider;
