import React from 'react';
import { HIconType } from '../Icon/type';
export declare type HuiFloatingActionButtonPosition = {
    top?: number;
    left?: number;
} | {
    bottom?: number;
    right?: number;
};
export interface HuiFloatingActionButtonProps {
    /** 按钮图标(左侧) */
    prefixIcon?: HIconType;
    /** 图标颜色 */
    iconColor?: string;
    /** 按钮背景颜色 */
    color?: string;
    style?: React.CSSProperties;
    /** 按钮位置，定义坐标轴方向距离，上左/下右 */
    position?: HuiFloatingActionButtonPosition;
    children?: React.ReactNode;
}
declare const FloatingActionButton: React.FC<HuiFloatingActionButtonProps>;
export default FloatingActionButton;
