import React from 'react';
export interface HuiLoaderProps {
    className?: string;
    style?: React.CSSProperties;
    /** 是否展示loader */
    loading?: boolean;
    /** 对应于设计稿中的 页面加载loading | 下拉加载loading | 局部模块loading */
    type?: 'page' | 'bottom' | 'module';
    /** 加载文案 默认为：加载中… */
    tip?: React.ReactNode;
    /** 触底加载是否已经完成 */
    reachedBottom?: boolean;
    /** 触底加载完成文案 */
    reachedBottomText?: React.ReactNode;
    children?: React.ReactNode;
    onClick?(e: any): void;
}
declare const Loader: React.FC<HuiLoaderProps>;
export default Loader;
