import { ViewProps } from '@tarojs/components/types/View';
import React from 'react';
import Item from './Item/Item';
export interface HuiSideMenuProps extends ViewProps {
    /** 当前选中项 */
    active: string | number;
    /** 指示器颜色 */
    indicatorColor?: string;
    /** 切换回调 */
    onChange?(v: number | string): void;
}
interface ISideMenu extends React.FC<HuiSideMenuProps> {
    Item: typeof Item;
}
declare const HuiSideMenu: ISideMenu;
export default HuiSideMenu;
