import React from 'react';
export interface HuiTabProps {
    /** 标签的标题 */
    title: string;
    /** 微笑样式下的副标题 */
    subTitle?: string;
    /** 标签的名称，作为匹配的标识符 */
    name?: string;
    animated?: boolean;
    active?: number | string;
    style?: React.CSSProperties;
    className?: string;
    children?: React.ReactNode;
    updateParent?: (v: any) => void;
}
declare const HuiTab: React.FC<HuiTabProps>;
export default HuiTab;
