import React from 'react';
import Taro from '@tarojs/taro';
import { View, Image } from '@tarojs/components';
const EditorDisplay = props => {
    const { type, image, headerContent, footerContent } = props;
    return (React.createElement(View, { className: 'hui-editor-display' },
        React.createElement(View, { className: 'hui-editor-display-title' }, "\u5546\u54C1\u8BE6\u60C5"),
        type === 'withContent' && (React.createElement(View, { className: 'hui-editor-display-header-content hui-editor-display-extra-content' }, headerContent)),
        React.createElement(View, { className: 'hui-editor-display-image-container' },
            React.createElement(Image, { src: image, style: { width: Taro.pxTransform(343) }, mode: 'widthFix', className: 'hui-editor-display-image' })),
        type === 'withContent' && (React.createElement(View, { className: 'hui-editor-display-footer-content hui-editor-display-extra-content' }, footerContent))));
};
export default EditorDisplay;
//# sourceMappingURL=EditorDisplay.js.map