import React from 'react';
import { View } from '@tarojs/components';
import { pxTransform } from '@tarojs/taro';
import HuiIcon from '../Icon/Icon';
const DEFAULT_COLOR = '#ff5152';
const COLOR_WHITE = '#fff';
const DEFAULT_POSITION = { right: 12, bottom: 58 };
const FloatingActionButton = props => {
    const { prefixIcon, iconColor = COLOR_WHITE, style, color, position, } = props;
    return (React.createElement(View, { className: 'hui-floating-action-button' },
        React.createElement(View, { className: 'hui-floating-action-button-container', style: Object.assign(Object.assign({ backgroundColor: color || DEFAULT_COLOR }, (position || DEFAULT_POSITION)), style) },
            React.createElement(View, { className: 'button-content' },
                prefixIcon && (React.createElement(View, null,
                    React.createElement(HuiIcon, { name: prefixIcon, color: iconColor, style: { marginRight: prefixIcon && props.children ? pxTransform(8) : undefined }, size: 24 }))),
                props.children))));
};
export default FloatingActionButton;
//# sourceMappingURL=FloatingActionButton.js.map