import React from 'react';
import { View } from '@tarojs/components';
import HuiImage from '../Image';
const LOGO_SIZE = {
    WIDTH: 110,
    HEIGHT: 30,
};
const HuiFooter = props => {
    const { image, content, style, className = '' } = props;
    const isSimple = !image;
    return (React.createElement(View, { className: `hui-footer ${className}`, style: style },
        !!image && (React.createElement(View, { className: 'hui-footer-image' },
            React.createElement(HuiImage, { src: image, width: LOGO_SIZE.WIDTH, height: LOGO_SIZE.HEIGHT }))),
        isSimple ? React.createElement(View, null,
            "-\u00A0",
            content,
            "\u00A0-") : content));
};
export default HuiFooter;
//# sourceMappingURL=Footer.js.map