var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { forwardRef } from 'react';
import cx from 'classnames';
import { View } from '@tarojs/components';
const MAX_COLUMN_NUM = 5;
const HuiGrid = (props, ref) => {
    const { columnNum = 5, children, style, className = '' } = props, rest = __rest(props, ["columnNum", "children", "style", "className"]);
    const itemSize = React.Children.count(children);
    return (React.createElement(View, Object.assign({ className: cx('hui-grid', `${className}`, { 'layout-evenly': itemSize < Math.min(columnNum, MAX_COLUMN_NUM) }, { [`layout-column-${Math.min(columnNum, MAX_COLUMN_NUM)}`]: itemSize >= Math.min(columnNum, MAX_COLUMN_NUM) }), ref: ref, style: style }, rest), children));
};
export default forwardRef(HuiGrid);
//# sourceMappingURL=Grid.js.map