var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { View } from '@tarojs/components';
import React from 'react';
import Item from './Item/Item';
const SideMenu = props => {
    const { active, indicatorColor, onChange, children } = props, rest = __rest(props, ["active", "indicatorColor", "onChange", "children"]);
    const getChildren = () => {
        const fn = (child, index) => React.cloneElement(child, {
            value: child.props.value || index,
            onChange: (v) => onChange && onChange(v),
            active,
            indicatorColor,
        });
        return (children && React.Children.map(children, fn)) || null;
    };
    return (React.createElement(View, Object.assign({ className: 'hui-select-side-menu' }, rest), getChildren()));
};
const HuiSideMenu = SideMenu;
HuiSideMenu.Item = Item;
export default HuiSideMenu;
//# sourceMappingURL=SideMenu.js.map