import React from 'react';
import { CommonEvent } from '@tarojs/components/types/common';
export interface HuiActionSheetProps {
    className?: string;
    style?: React.CSSProperties;
    /** 关闭ActionSheet的回调 */
    onClose?: (event?: CommonEvent) => void;
    /** 是否展示ActionSheet */
    visible?: boolean;
    /** 标题 */
    title?: React.ReactNode;
    /** 取消按钮的文案 */
    cancelText?: React.ReactNode;
    children?: React.ReactNode;
}
declare const HuiActionSheet: React.FC<HuiActionSheetProps>;
export default HuiActionSheet;
