import React from 'react';
import { HuiPopupProps } from '../Popup';
export interface HuiModalProps extends HuiPopupProps {
    /** 标题 */
    title: React.ReactNode;
    contentClassName?: string;
    /** children容器样式 */
    contentStyle?: React.CSSProperties;
    className?: string;
    style?: React.CSSProperties;
    onClose?: () => void;
}
declare const Modal: React.FC<HuiModalProps>;
export default Modal;
