import { ViewProps } from '@tarojs/components/types/View';
import React from 'react';
export interface HuiPopupProps extends ViewProps {
    wapperClassName?: string;
    wrapperClassName?: string;
    className?: string;
    /** 是否展示 */
    visible: boolean;
    /** 弹出位置 */
    position?: 'center' | 'top' | 'bottom' | 'right' | 'left';
    /** 是否点击遮罩层时触发onClose回调，默认开启 */
    maskClosable?: boolean;
    style?: React.CSSProperties;
    /** 关闭回调 */
    onClose?: () => void;
}
declare const Popup: React.FC<HuiPopupProps>;
export default Popup;
