import React from 'react';
import { ViewProps } from '@tarojs/components/types/View';
export interface HuiRadioProps extends ViewProps {
    /** 根据value比较, 判断是否选中 */
    value: string | number;
    /** 是否被选中 */
    checked?: boolean;
    /** 是否禁用 */
    disabled?: boolean;
    /** 选中的颜色 */
    color?: string;
    /** icon外圈的尺寸 */
    size?: number;
    className?: string;
    style?: React.CSSProperties;
}
declare const HuiRadio: React.FC<HuiRadioProps>;
export default HuiRadio;
