import React from 'react';
interface HuiSkeletonProps {
    type?: 'vertical' | 'horizontal';
    avatar?: boolean | {
        size?: number;
        shape?: 'square' | 'circle';
    };
    title?: boolean | {
        width?: number | string;
    };
    paragraph?: boolean | {
        rows?: number;
        width?: (number | string)[];
    };
    style?: React.CSSProperties;
    className?: string;
}
declare const HuiSkeleton: React.FC<HuiSkeletonProps>;
export default HuiSkeleton;
