import React from 'react';
export interface HuiSwitchProps {
    /** 是否禁用 */
    disabled?: boolean;
    color?: string;
    /** 是否选中 */
    checked?: boolean;
    style?: React.CSSProperties;
    className?: string;
    /** 切换的回调函数 */
    onChange?: (value: boolean) => void;
}
declare const HuiSwitch: React.FC<HuiSwitchProps>;
export default HuiSwitch;
